// программа управления положением курсора

#include <stdio.h>
#include <graph.h>

void main(void)
{
	short i, j;
	struct rccoord old_cur_pos;

	// сохраняем старые координаты курсора

	old_cur_pos = _gettextposition();
	_clearscreen(_GCLEARSCREEN);

	for(i = 0; i < 9; i++)
		for(j = 0; j < 12; j++){

			// изменяем координаты курсора

			_settextposition(2*j+1, 9*i+1);
			printf(".(%d,%d)", 9*i+1, 2*j+1);
		}

	getch();

	// восстанавливаем положение курсора

	_settextposition(old_cur_pos.row, old_cur_pos.col);
	_clearscreen(_GCLEARSCREEN);
}

